-- The Tomb -- the Enigma Level
-- (c) 2002 Petr Machata/ant_39
-- Licensed under GPL v2.0 or above
-- 2003-02-10 -- keeping up to date with latest additions to ant.lua

dofile(enigma.FindDataFile("levels/ant.lua"))

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --

cells={}
cells[" "]=cell{floor={face="fl-sand"}}
cells["."]=cell{}
cells["#"]=cell{parent=cells[" "],stone={face="st-greenbrown"}}
cells["x"]=cell{parent=cells[" "],stone={face="st-grate1"}}
cells["@"]=cell{parent=cells[" "],stone={face="st-wood"}}
cells["O"]=cell{parent=cells[" "],item={face="ac-blackball", attr={player=0}, actor=1}}
cells["+"]=cell{parent={cells[" "], {puzzle, PUZ_0000}}}
cells["|"]=cell{parent={cells[" "], {puzzle, PUZ_0101}}}
cells[","]=cell{parent={cells[" "], {puzzle, PUZ_0001}}}
cells["'"]=cell{parent={cells[" "], {puzzle, PUZ_0100}}}
cells["A"]=cell{parent=cells[" "],stone={face="st-door", attr={name="doorA", type="v"}}}
cells["B"]=cell{parent=cells[" "],stone={face="st-door", attr={name="doorB", type="h"}}}
cells["C"]=cell{parent=cells[" "],stone={face="st-door", attr={name="doorC", type="h"}}}
cells["D"]=cell{parent=cells[" "],stone={face="st-door", attr={name="doorD", type="v"}}}
cells["E"]=cell{parent=cells[" "],stone={face="st-door", attr={name="doorE", type="h"}}}
cells["F"]=cell{parent=cells[" "],stone={face="st-door", attr={name="doorF", type="v"}}}
cells["a"]=cell{parent=cells[" "],item={face="it-trigger", attr={action="openclose", target="doorA"}}}
cells["b"]=cell{parent=cells[" "],item={face="it-trigger", attr={action="openclose", target="doorB"}}}
cells["c"]=cell{parent=cells[" "],item={face="it-trigger", attr={action="openclose", target="doorC"}}}
cells["d"]=cell{parent=cells[" "],item={face="it-trigger", attr={action="openclose", target="doorD"}}}
cells["e"]=cell{parent=cells[" "],item={face="it-trigger", attr={action="openclose", target="doorE"}}}
cells["f"]=cell{parent=cells[" "],item={face="it-trigger", attr={action="openclose", target="doorF"}}}
cells["0"]=cell{parent={cells[" "], oxyd}}

enigma1 = {
   ".#######.",
   ".#  e@ ##",
   ".# O #  #",
   "##   ## #",
   "#xx#xx# #",
   "#x   x# #",
   "## #c##D#",
   "#a x #  #",
   "## # #' #",
   "##  @ | #",
   "#x@b##  #",
   "#x x# | #",
   "### B   #",
   "..#A##.##",
   "..#  | #.",
   "..# #+ #.",
   "..# ## #.",
   "..#  #+#.",
   "#### Cd#.",
   "#  ###,#.",
   "#@   E #.",
   "#  @@# #.",
   "# @@ ###.",
   "#@@  @ #.",
   "#      #.",
   "#......#.",
   "#......#.",
   "#000000#.",
   "########."
}

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --

levelw = 20+19
levelh = 13

create_world(levelw, levelh)
fill_floor("fl-abyss",   0, 0, level_width, level_height)
draw_map(2, 0, enigma1, cells, TRANSPOSE_MAP)
oxyd_shuffle()
display.SetFollowMode(display.FOLLOW_SCROLLING)
