-- Automaton Magic -- the Enigma Level
-- (c) 2002 Petr Machata/ant_39
-- Licensed under GPL v2.0 or above
-- 2003-02-10 -- keeping up to date with latest additions to ant.lua

dofile(enigma.FindDataFile("levels/ant.lua"))
-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --

hitcounter = 0
function turnbolder()
   -- ONLY UPON TRIGGER STEP-ON
   hitcounter = hitcounter +1
   if (mod(hitcounter,2)==0) then
      return 0
   end
   -- GET DIRECTION
   local bolder_dir=enigma.GetAttrib(enigma.GetNamedObject("bolder1"), "direction")
   -- SET NEW DIRECTION
   bolder_dir = bolder_dir -1
   while (bolder_dir<0) do
      bolder_dir = bolder_dir +4
   end
   -- MODIFY BOLDER ATTRIBS
   set_attribs(enigma.GetNamedObject("bolder1"), {direction=bolder_dir})
end

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --

cells={}
cells[" "]=cell{floor={face="fl-sand"}}
cells["."]=cell{floor={face="fl-abyss"}}
cells["#"]=cell{parent={cells[" "]},stone={face="st-greenbrown"}}
cells["O"]=cell{parent={cells[" "]},item={face="ac-blackball", attr={player=0}, actor=1}}
cells["m"]=cell{parent={cells[" "]},item={face="it-magicwand"}}
cells["c"]=cell{parent={cells["."], i_c_xy},item={face="it-trigger", attr={action="callback", target="turnbolder", invisible=1}}}
cells["d"]=cell{parent={cells["."], i_d_xy},item={face="it-trigger", attr={action="callback", target="turnbolder", invisible=1}}}
cells["e"]=cell{parent={cells["."], i_e_xy},item={face="it-trigger", attr={action="callback", target="turnbolder", invisible=1}}}
cells["f"]=cell{parent={cells["."], i_f_xy},item={face="it-trigger", attr={action="callback", target="turnbolder", invisible=1}}}
cells["0"]=cell{parent={cells[" "], oxyd}}
cells[">"]=cell{parent={cells[" "]},stone={face="st-bolder", attr={direction=EAST, name="bolder1"}}}

level = {
   "####0##########0####",
   "#....          ....#",
   "#.                .#",
   "#.                .#",
   "0.  c   >      d  .0",
   "#                  #",
   "#       m O        #",
   "#                  #",
   "0.  f          e  .0",
   "#.                .#",
   "#.                .#",
   "#....          ....#",
   "####0##########0####"
}


-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
oxyd_default_flavor = "a"
create_world_by_map(level)
oxyd_shuffle()
