-- Mourning Palace -- the Enigma Level
-- (c) 2003 Petr Machata/ant_39
-- Licensed under GPL v2.0 or above
-- 2003-01-07

dofile(enigma.FindDataFile("levels/ant.lua"))

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
function construct(x, y)
   set_floor("fl-normal", x, y)
end

function destruct(x, y)
   set_floor("fl-abyss", x, y)
end
-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --

cells={}
cells[";"]=cell{floor={face="fl-metal"}}
cells["'"]=cell{floor={face="fl-normal"}}
cells[","]=cell{floor={face="fl-tigris"}}
cells["."]=cell{floor={face="fl-abyss"}}
cells[" "]=cell{parent={{randomfloor,{cells[","], cells[";"], 10}}}}
cells["="]=cell{parent=cells[" "],stone={face="st-glass"}}
cells["O"]=cell{parent=cells[" "],item={face="ac-blackball", attr={player=0}, actor=1}}

cells["!"]=cell{parent={cells["."], {path_empty, {0}}                }}
cells["_"]=cell{parent={cells["!"], {path_train, {0}}, cells["'"]    }}
cells["c"]=cell{parent={cells["_"], {path_constructor,{0, construct}}}}
cells["d"]=cell{parent={cells["!"], {path_destructor, {0, destruct}} }}

cells["~"]=cell{parent={cells[" "]},stone={face="st-timer", attr={action="callback", target="move_constructors", interval=0.15}}}
cells["0"]=cell{parent=cells[" "],stone={face="st-oxyd", attr={flavor="b", color="0"}}}
cells["2"]=cell{parent=cells[" "],stone={face="st-oxyd", attr={flavor="b", color="1"}}}
cells["3"]=cell{parent=cells[" "],stone={face="st-oxyd", attr={flavor="b", color="2"}}}
cells["4"]=cell{parent=cells[" "],stone={face="st-oxyd", attr={flavor="b", color="3"}}}

level = {
   "==========================================================",
   "=!!!!!!!!!!d______c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!=",
   "=!0                ====================                4!=",
   "=!!!!!!!!!!!!c_ = !!!!!!!!!!!c______d!!!!!!!!!!!!!!!!!!!!=",
   "==============_   !==================================== ==",
   "=!!!!!!!!!!!!=_ = !=!!c______d!!!!!!!!=!!!!!!!!!!!!!!=!!!=",
   "=!          !=_ = !=!               2!=!           3!=! !=",
   "=!          !=_ = ! ! !!!!!!!!!!!!!!!!=! !!!!!!!!!!!!=! !=",
   "=!  0    O  ! _   !=! !================! !============! !=",
   "=!          !=d = !=! !=!!!!d______c!!!! !=!!d______c!! !=",
   "=!          !=!   !=! ! !2           3=  ! !4           !=",
   "=c______d!!!!=!!!!!=!!!=!!!!!!!!!!!!!!!!!!=!!!!!!!!!!!!!!=",
   "~========================================================="
}

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
levelw = 20+19+19
levelh = 13
create_world(levelw, levelh)
randomseed(enigma.GetTicks())
draw_map(0, 0, level)
oxyd_shuffle()
