-- Circularity -- the Enigma Level
-- (c) 2003 Petr Machata/ant_39
-- Licensed under GPL v2.0 or above
-- 2003-01-07

dofile(enigma.FindDataFile("levels/ant.lua"))

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
function construct0(x, y)
   set_floor("fl-wood", x, y)
end

function construct1(x, y)
   set_floor("fl-samba", x, y)
end

function destruct(x, y)
   set_floor("fl-abyss", x, y)
end
-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --

cells={}
cells[";"]=cell{floor={face="fl-tigris"}}
cells[","]=cell{floor={face="fl-sahara"}}
cells["."]=cell{floor={face="fl-abyss"}}

cells["train0"]=cell{floor={face="fl-wood"}}
cells["train1"]=cell{floor={face="fl-samba"}}


cells[" "]=cell{parent={{checkerfloor,{cells[","], cells[";"]}}}}
cells["="]=cell{parent=cells[" "],stone={face="st-rock5"}}
cells["O"]=cell{parent=cells[" "],item={face="ac-blackball", attr={player=0}, actor=1}}

cells["!"]=cell{parent={cells["."], {path_empty, {0}}                }}
cells["_"]=cell{parent={cells["!"], {path_train, {0}}, cells["train0"]}}
cells["c"]=cell{parent={cells["_"], {path_constructor,{0, construct0}}}}
cells["d"]=cell{parent={cells["!"], {path_destructor, {0, destruct}} }}
cells["C"]=cell{parent={cells["_"], cells["="]}}
cells["D"]=cell{parent={cells["!"], cells["="]}}

cells["?"]=cell{parent={cells["."], {path_empty, {1}}                }}
cells["-"]=cell{parent={cells["?"], {path_train, {1}}, cells["train1"]}}
cells["a"]=cell{parent={cells["-"], {path_constructor,{1, construct1}}}}
cells["b"]=cell{parent={cells["?"], {path_destructor, {1, destruct}} }}
cells["A"]=cell{parent={cells["-"]}, stone={face="st-grate1"}}
cells["B"]=cell{parent={cells["?"]}, stone={face="st-grate1"}}

cells["~"]=cell{parent={cells[" "]},stone={face="st-timer", attr={action="callback", target="move_constructors", interval=0.20}}}
cells["0"]=cell{parent=cells[" "],stone={face="st-oxyd", attr={flavor="b", color="0"}}}
cells["1"]=cell{parent=cells[" "],stone={face="st-oxyd", attr={flavor="b", color="1"}}}

level = {
   "====================",
   "=   !c___CC___d!   =",
   "= 1 !b---AA---a! 1 =",
   "=   !?___CC___?!   =",
   "=   !?c------d?!   =",
   "=   !?!-__d!-!?!   =",
   "=...!?!b_ O!a!?!...=",
   "=   !?!?_c!!?!?!   =",
   "=   !?!??????!?!   =",
   "=   !?!!!DD!!!?!   =",
   "= 0 !????BB????! 0 =",
   "=   !!!!!DD!!!!!   =",
   "~==================="
}

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
levelw = 20
levelh = 13
create_world(levelw, levelh)
randomseed(enigma.GetTicks())
draw_map(0, 0, level)
oxyd_shuffle()
