-- Black Lava -- the Enigma Level
-- (c) 2003 Petr Machata/ant_39
-- Licensed under GPL v2.0 or above
-- 2003-01-08
-- 2003-02-10 -- keeping up to date with latest additions to ant.lua

dofile(enigma.FindDataFile("levels/ant.lua"))

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --

cells={}

cells["n"]=cell{floor={face="fl-normal"}}

cells["a1"]=cell{floor={face="fl-gradient", attr={type=5}}}
cells["a2"]=cell{floor={face="fl-gradient", attr={type=6}}}
cells["a3"]=cell{floor={face="fl-gradient", attr={type=7}}}
cells["a4"]=cell{floor={face="fl-gradient", attr={type=8}}}
cells["b1"]=cell{floor={face="fl-gradient", attr={type=9}}}
cells["b2"]=cell{floor={face="fl-gradient", attr={type=10}}}
cells["b3"]=cell{floor={face="fl-gradient", attr={type=11}}}
cells["b4"]=cell{floor={face="fl-gradient", attr={type=12}}}
cells["c1"]=cell{floor={face="fl-gradient", attr={type=21}}}
cells["c2"]=cell{floor={face="fl-gradient", attr={type=22}}}
cells["c3"]=cell{floor={face="fl-gradient", attr={type=23}}}
cells["c4"]=cell{floor={face="fl-gradient", attr={type=24}}}

cells["aa"]=cell{parent={{randomfloor,{cells["a1"], cells["a2"], cells["a3"], cells["a4"]}}}}
cells["bb"]=cell{parent={{randomfloor,{cells["b1"], cells["b2"], cells["b3"], cells["b4"]}}}}
cells["cc"]=cell{parent={{randomfloor,{cells["c1"], cells["c2"], cells["c3"], cells["c4"]}}}}
cells[" "]=cell{parent={{randomfloor,{cells["aa"], cells["bb"], cells["cc"]}}}}

cells["#"]=cell{parent=cells[" "],stone={face="st-rock6"}}
cells["D"]=cell{parent=cells[" "],stone={face="st-death"}}
cells["0"]=cell{parent={cells[" "], oxyd}}
cells["O"]=cell{parent=cells["n"],item={face="ac-blackball", attr={player=0}, actor=1}}

level = {
   "####################",
   "#O       ##       n#",
   "#        ##        #",
   "0  D  D  DD  D  D  0",
   "#                  #",
   "#                  #",
   "0  D  D      D  D  0",
   "#                  #",
   "#                  #",
   "0  D  D  DD  D  D  0",
   "#        ##        #",
   "#n       ##       n#",
   "####################"
}

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
randomseed(666) -- evil landscape :o)
create_world_by_map(level)
randomseed(enigma.GetTicks())
oxyd_shuffle()
