-- Draggers -- the Enigma Level
-- (c) 2003 Petr Machata/ant_39
-- Licensed under GPL v2.0 or above
-- 2003-01-24
-- 2003-02-08 -- changed document text, as fl-metal looks the same as fl-normal
-- 2003-02-10 -- keeping up to date with latest additions to ant.lua

dofile(enigma.FindDataFile("levels/ant.lua"))

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --

cells={}

cells[" "]=cell{floor={face="fl-metal"}}
cells[","]=cell{floor={face="fl-normal"}}
cells["."]=cell{floor={face="fl-abyss"}}
cells[":"]=cell{parent=cells[","], stone={face="st-chameleon"}, item={face="it-seed"}}
cells["+"]=cell{parent=cells[" "], item={face="it-document", attr={text="This level is symetric..."}}}

cells["#"]=cell{parent=cells[" "], stone={face="st-rock1"}}
cells["X"]=cell{parent=cells[" "], stone={face="st-grate1"}}
cells["0"]=cell{parent={cells[" "], oxyd}}

bolders = {};
actors = {};
cells["^"]=cell{parent={cells[" "],{add_multistone, {"st-bolder", bolders, {direction=enigma.NORTH}}}}}
cells["O"]=cell{parent={cells[" "],{add_multiactor,{"ac-blackball", actors, {player=0}}}}}

level = {
   "####################",
   "# X.....0  0.....X #",
   "# X..............X #",
   "# X......  ......X #",
   "# X......  ......X #",
   "# X......  ......X #",
   "# X......  ......X #",
   "# X...        ...X #",
   "# X...0      0...X #",
   "# X......  ......X #",
   "# X......  ......X #",
   "# X......  ......X #",
   "# #......  ......# #",
   "# X......  ......X #",
   "# X......  ......X #",
   "# X......  ......X #",
   "# X......  ......X #",
   "# X......  ......X #",
   "# X....      ....X #",
   "# X....      ....X #",
   "# X....  ..  ....X #",
   "# X..0   ..   0..X #",
   "# X..    ..    ..X #",
   "# X....  ..  ....X #",
   "# #....  ..  ....# #",
   "# X....  ..  ....X #",
   "# X....  ..  ....X #",
   "# X              X #",
   "# X              X #",
   "# X  ..........  X #",
   "# X  ..........  X #",
   "# X  ..........  X #",
   "# X              X #",
   "# X              X #",
   "# X......  ......X #",
   "# X......  ......X #",
   "# #......  ......# #",
   "# X......  ......X #",
   "# X......  ......X #",
   "# X......  ......X #",
   "# X......  ......X #",
   "# X......  ......X #",
   "# X.....0  0.....X #",
   "# X              X #",
   "# X              X #",
   "# X  +        :  X #",
   "# X              X #",
   "#^X      O       X^#",
   "####################"
}

-- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- -- --
oxyd_default_flavor = "d"
create_world_by_map(level)
add_rubber_bands(actors, bolders, 5, 0)
enigma.ConserveLevel = FALSE
